CREATE TABLE gtg_ts_paymentinstruments (
    ETL_SEQUENCE_ID              NUMBER(19, 0),
    ETL_VERSION_NUMBER           NUMBER(18, 0),
    DELETE_VERSION_NUMBER        NUMBER(18, 0),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    DEBIT_AUTH_BEGIN             DATE         ,
    DEBIT_AUTH_END               DATE         ,
    DEBIT_AUTH_FLAG              VARCHAR2(4)  ,
    DEBIT_AUTH_METHOD            VARCHAR2(120),
    DEBIT_AUTH_REFERENCE         VARCHAR2(400),
    END_DATE                     DATE         ,
    EXT_PMT_PARTY_ID             NUMBER(18, 0),
    IBYPMTINSTRUSESALL_CB        VARCHAR2(256),
    IBYPMTINSTRUSESALL_CD        TIMESTAMP(6) ,
    IBYPMTINSTRUSESALL_LUB       VARCHAR2(256),
    IBYPMTINSTRUSESALL_LUD       TIMESTAMP(6) ,
    INSTRUMENT_ID                NUMBER(18, 0),
    INSTRUMENT_PAYMENT_USE_ID    NUMBER(18, 0),
    INSTRUMENT_TYPE              VARCHAR2(120),
    ORDER_OF_PREFERENCE          NUMBER(18, 0),
    PAYMENT_FLOW                 VARCHAR2(120),
    PAYMENT_FUNCTION             VARCHAR2(120),
    START_DATE                   DATE         ,
    ETL_SEQUENCE_ID              NUMBER(19, 0),
    ETL_VERSION_NUMBER           NUMBER(18, 0),
    DELETE_VERSION_NUMBER        NUMBER(18, 0),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    DEBIT_AUTH_BEGIN             DATE         ,
    DEBIT_AUTH_END               DATE         ,
    DEBIT_AUTH_FLAG              VARCHAR2(4)  ,
    DEBIT_AUTH_METHOD            VARCHAR2(120),
    DEBIT_AUTH_REFERENCE         VARCHAR2(400),
    END_DATE                     DATE         ,
    EXT_PMT_PARTY_ID             NUMBER(18, 0),
    IBYPMTINSTRUSESALL_CB        VARCHAR2(256),
    IBYPMTINSTRUSESALL_CD        TIMESTAMP(6) ,
    IBYPMTINSTRUSESALL_LUB       VARCHAR2(256),
    IBYPMTINSTRUSESALL_LUD       TIMESTAMP(6) ,
    INSTRUMENT_ID                NUMBER(18, 0),
    INSTRUMENT_PAYMENT_USE_ID    NUMBER(18, 0),
    INSTRUMENT_TYPE              VARCHAR2(120),
    ORDER_OF_PREFERENCE          NUMBER(18, 0),
    PAYMENT_FLOW                 VARCHAR2(120),
    PAYMENT_FUNCTION             VARCHAR2(120),
    START_DATE                   DATE         ,
    CONSTRAINT pk_gtg_ts_paymentinstruments PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
